バージョン選択

フォーラム

メニュー

オンライン状況

50 人のユーザが現在オンラインです。 (23 人のユーザが フォーラム を参照しています。)
登録ユーザ: 1
ゲスト: 49
Morizo もっと...

サイト内検索

プラグイン > その他 > stripe4(無料版)購入時のエラー

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
no48
投稿日時: 2022/11/8 10:06
対応状況: −−−
新米
登録日: 2022/10/28
居住地:
投稿: 5
stripe4(無料版)購入時のエラー
▼テンプレート
[EC-CUBE] EC-CUBE4、新規インストール
[レンタルサーバ] ロリポ スタンダードプラン
[OS] mac
[PHP] 7.4(CGI)
[データベース] MySQL
[導入プラグインの有無] stripe4(無料版)
[現象]
stripe4の無料版を使用してサイト作成しています。
プラグイン反映後に管理画面にて公開可能キーとシークレットキーを設定済みです。

問)
レジに進むボタンを押すと、ページに「システムエラーが発生しました」と表示されるます。
ログを見てみると以下が表示されます。
原因が分かる方、解決方法を教えていただいてもよろしいでしょうか??
よろしくお願い致します。


[2022-11-08 10:00:46] front.ERROR [14d30706] [2bb892c] [anon.] [Eccube\Log\Logger:log:66] - システムエラーが発生しました。 ["Attempted to load class \"Stripe\" from namespace \"Stripe\".\nDid you forget a \"use\" statement for another namespace?","/home/users/1/jp-example/web/onlinestore/app/Plugin/Stripe4/Form/Extension/CreditCardExtension.php",43,"#0 /home/users/1/jp-example/web/onlinestore/var/cache/prod/ContainerC8MTuG1/getCreditCardExtensionService.php(13): Plugin\\Stripe4\\Form\\Extension\\CreditCardExtension->__construct(Object(Eccube\\Common\\EccubeConfig))\n#1 /home/users/1/jp-example/web/onlinestore/var/cache/prod/ContainerC8MTuG1/EccubeEccube_KernelProdContainer.php(508): require('/home/users/1/s...')\n#2 /home/users/1/jp-example/web/onlinestore/var/cache/prod/ContainerC8MTuG1/getForm_RegistryService.php(245): ContainerC8MTuG1\\EccubeEccube_KernelProdContainer->load('getCreditCardEx...')\n#3 /home/users/1/jp-example/web/onlinestore/vendor/symfony/form/Extension/DependencyInjection/DependencyInjectionExtension.php(56): ContainerC8MTuG1\\EccubeEccube_KernelProdContainer->{closure}()\n#4 /home/users/1/jp-example/web/onlinestore/vendor/symfony/form/FormRegistry.php(118): Symfony\\Component\\Form\\Extension\\DependencyInjection\\DependencyInjectionExtension->getTypeExtensions('Eccube\\\\Form\\\\Typ...')\n#5 /home/users/1/jp-example/web/onlinestore/vendor/symfony/form/FormRegistry.php(92): Symfony\\Component\\Form\\FormRegistry->resolveType(Object(Eccube\\Form\\Type\\Shopping\\OrderType))\n#6 /home/users/1/jp-example/web/onlinestore/vendor/symfony/form/FormFactory.php(60): Symfony\\Component\\Form\\FormRegistry->getType('Eccube\\\\Form\\\\Typ...')\n#7 /home/users/1/jp-example/web/onlinestore/vendor/symfony/form/FormFactory.php(32): Symfony\\Component\\Form\\FormFactory->createBuilder('Eccube\\\\Form\\\\Typ...', Object(Eccube\\Entity\\Order), Array)\n#8 /home/users/1/jp-example/web/onlinestore/vendor/symfony/framework-bundle/Controller/ControllerTrait.php(324): Symfony\\Component\\Form\\FormFactory->create('Eccube\\\\Form\\\\Typ...', Object(Eccube\\Entity\\Order), Array)\n#9 /home/users/1/jp-example/web/onlinestore/src/Eccube/Controller/ShoppingController.php(140): Symfony\\Bundle\\FrameworkBundle\\Controller\\Controller->createForm('Eccube\\\\Form\\\\Typ...', Object(Eccube\\Entity\\Order))\n#10 /home/users/1/jp-example/web/onlinestore/vendor/symfony/http-kernel/HttpKernel.php(158): Eccube\\Controller\\ShoppingController->index(Object(Eccube\\Service\\PurchaseFlow\\PurchaseFlow))\n#11 /home/users/1/jp-example/web/onlinestore/vendor/symfony/http-kernel/HttpKernel.php(80): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#12 /home/users/1/jp-example/web/onlinestore/vendor/symfony/http-kernel/Kernel.php(201): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#13 /home/users/1/jp-example/web/onlinestore/index.php(82): Symfony\\Component\\HttpKernel\\Kernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#14 {main}"] [GET, /onlinestore/shopping, 60.35.17.241, https://example.jp/onlinestore/cart, Mozilla/5.0 (Macintosh; Intel Mac OS X x) AppleWebKit/x.x (KHTML, like Gecko) Chrome/x.x.x.x Safari/x.x]

mcontact
投稿日時: 2022/11/8 10:43
対応状況: −−−
長老
登録日: 2022/1/22
居住地:
投稿: 185
Re: stripe4(無料版)購入時のエラー
Stripe4のプラグイン周りで、エラーが起きている様です。

Stripe4のプラグインがEC-CUBEストアにないので、どの様な感じで公開されているか解りませんが、提供元に確認する方がよいと思います。

あと気になる点としては、
> [EC-CUBE] EC-CUBE4、新規インストール
と書かれていますが、4.0系なのか4.1系なのか4.2系なのかでプラグインの仕様がバージョンによって変わるので、対応しているのか気になりました。
no48
投稿日時: 2022/11/8 16:10
対応状況: −−−
新米
登録日: 2022/10/28
居住地:
投稿: 5
Re: stripe4(無料版)購入時のエラー
ご返信頂きましてありがとうございました。
4.1系となります。
mcontact
投稿日時: 2022/11/8 18:57
対応状況: −−−
長老
登録日: 2022/1/22
居住地:
投稿: 185
Re: stripe4(無料版)購入時のエラー
エラー内容としては、Stripe4周りのnamespaceでエラーが起きているように最初の所感とかしては見えます。

少し検索してみましたが、
EC-CUBE4のStripe4プラグインが下記のサイトで公開されている様ですが、どの程度メンテナンスされているかは開発者ではないので解らないですが、約1年と数か月は変更されていない様ですね。
非公式プラグインですのでご利用は自己責任でお願い致します。書いてあるので、エラーが起きても知りませんとなるかもですが。

https://github.com/kurozumi/Stripe4
開発者に聴いてみるのが早いと思います。(連絡が付けばですが)

その場合は、有料で
https://subspire.co.jp/product/stripe-ec-cube-4-secure/
でプラグインを公開している様であり、EC-CUBE4.1にも対応している様なのでそちらを使うかだと思います。
no48
投稿日時: 2022/11/10 11:50
対応状況: −−−
新米
登録日: 2022/10/28
居住地:
投稿: 5
Re: stripe4(無料版)購入時のエラー
ありがとうございました。
開発者の方へ連絡を取ってみます。
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン



統計情報

総メンバー数は76,762名です
総投稿数は105,204件です

投稿数ランキング

1
seasoft
7333
2
468
3217
3
AMUAMU
2712
4
nanasess
2274
5
umebius
2085
6
yuh
1669
7
red
1556
8
h_tanaka
1195
9
tsuji
942
10
fukap
907
11
shutta
835
12
tao_s
794
13 ramrun 789
14 karin 689
15 sumida 641
16
homan
633
17 DELIGHT 572
18
patapata
502
19
flealog
485
20 tonton 437


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.